{% extends 'frontBase.html.twig' %}

{% block title %}Sélection d'entreprise{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Sélectionnez l'entreprise souhaitée</h1>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            {{ form_start(form) }}
            <div class="form-group choice-select">
                {{ form_label(form.quoteFor) }}
                <div class="custom-select-wrapper">
                    {{ form_widget(form.quoteFor, {attr: {class: "custom-select"}}) }}
                    {{ form_errors(form.quoteFor) }}
                </div>
            </div>
            <div class="form-group company-select" style="display: none;">
                {{ form_label(form.company) }}
                <div class="custom-select-wrapper">
                    {{ form_widget(form.company, {attr: {class: "custom-select"}}) }}
                    {{ form_errors(form.company) }}
                </div>
            </div>
            <div class="form-group">
                <button type="submit" class="btn">Générer votre devis</button>
            </div>
            {{ form_end(form) }}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $(function () {
            $('select', '.choice-select').change(function () {
                if ($(this).val() == 2) {
                    $('.company-select').show();
                } else {
                    $('.company-select').hide();
                }
            })
        })
    </script>
{% endblock %}